Class | Ferret::Store::FSDirectory
In: | ext/r_store.c
Parent: | Ferret::Store::Directory

Document-class: Ferret::Store::RAMDirectory

File-system resident Directory implementation. The FSDirectory will use a single directory to store all of it‘s files. You should not otherwise touch this directory. Modifying the files in the directory will corrupt the index. The one exception to this rule is you may need to delete stale lock files which have a ".lck" extension.

### Methods

new

### Public Class methods

FSDirectory.new(/path/to/index/, create = false)

Create a new FSDirectory at +/path/to/index/+ which must be a valid path on your file system. If it doesn‘t exist it will be created. You can also specify the `create` parameter. If `create` is true the FSDirectory will be refreshed as new. That is to say, any existing files in the directory will be deleted. The default value for `create` is false.

path: | path to index directory. Must be a valid path on your system
create: | set to true if you want any existing files in the directory to be deleted

[Validate]